import { request } from '@/utils/request'

export function fetchUserEquityInfo<T>() {
  return request.post<T>('/equityRest/getCurrentEquity.json')
}

export function fetchCreateEquityOrder<T>(payload: object) {
  return request.post<T>('/equityOrderRest/createOrder.json', payload)
}

export function fetchGetEquityPayQrCode<T>(payload: object) {
  return request.post<T>('/payRest/pay.json', null, { params: payload })
}

export function fetchGetPayStatus<T>(payOrderSn: string) {
  return request.post<T>(`/payRest/orderStatus.json?payOrderSn=${payOrderSn}`)
}
